Bug 1253507 - Test case failure: /CoreOS/mysql/Sanity/daemon-selinux-context
Test case failure: /CoreOS/mysql/Sanity/daemon-selinux-context
Status: CLOSED EOL
Product: Red Hat Software Collections
Classification: Red Hat
Component: mysql55 (Show other bugs)
mysql55
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schorm
BaseOS QE - Apps
:
Depends On:
Blocks: 1461102 1466474
  Show dependency treegraph
 
Reported: 2015-08-13 17:29 EDT by Karel Volný
Modified: 2017-06-29 14:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1461102 (view as bug list)
Environment:
Last Closed: 2017-03-31 11:02:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2015-08-13 17:29:47 EDT
Filed from caserun https://tcms.engineering.redhat.com/run/255284/#caserun_10490534

Version-Release number of selected component (if applicable):
rhel-7

Steps to Reproduce: 
run the test /CoreOS/mysql/Sanity/daemon-selinux-context


Actual results: 
:: [  BEGIN   ] :: Running 'ps -Z 2930'
LABEL                             PID TTY      STAT   TIME COMMAND
system_u:system_r:unconfined_service_t:s0 2930 ? Sl   0:00 /opt/rh/mysql55/root/usr/libexec/mysqld --basedir=/opt/rh/mysql55/root/usr --datadir=/opt/rh/mysql55/root/var/lib/mysql --plugin-dir=/opt/rh/mysql55/root/usr/lib64/mysql/plugin --log-error=/var/log/mysql55-mysqld.log --pid-file=/opt/rh/mysql55/root/var/run/mysqld/mysqld.pid --socket=/var/lib/mysql/mysql.sock
:: [   PASS   ] :: Command 'ps -Z 2930' (Expected 0, got 0)
:: [   FAIL   ] :: File '/var/tmp/tmp.sJZWkUTVDE' should contain '(system_u|unconfined_u):system_r:mysqld_t:s0' 


Expected results:
the type should be 'mysqld_t', not 'unconfined_service_t'
Comment 1 Huzaifa S. Sidhpurwala 2015-08-14 01:08:22 EDT
This is not a regression, see below:

[root@hp-dl380pgen8-02-vm-7 old]# rpm -q mysql55-mysql mysql55-mysql-server mysql55-mysql-libs

mysql55-mysql-5.5.44-1.el7.x86_64
mysql55-mysql-server-5.5.44-1.el7.x86_64
mysql55-mysql-libs-5.5.44-1.el7.x86_64


[root@hp-dl380pgen8-02-vm-7 old]# ps -Z 29233
LABEL                             PID TTY      STAT   TIME COMMAND
system_u:system_r:unconfined_service_t:s0 29233 ? Sl   0:00 /opt/rh/mysql55/root/usr/libexec/mysqld --basedir=/opt/rh/mysql55/root/usr --datadir=/opt/rh/mysql55/root/var/lib/mysql --plugin-dir=/opt/rh/mysql55/root/usr/lib64/mysql/plugin --log-error=/var/log/mysql55-mysqld.log --pid-file=/opt/rh/mysql55/root/var/run/mysqld/mysqld.pid --socket=/var/lib/mysql/mysql.sock

This issue affected the previous version of mysql55-mysql/rhel-7 as well.
Comment 2 Huzaifa S. Sidhpurwala 2015-08-14 01:09:32 EDT
Honza,

Can you please confirm the above, so that we can go ahead with the errata.
Comment 6 Joe Orton 2016-10-12 08:31:00 EDT
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (October 2016) after which customers are encouraged either to upgrade to a later release or continue on as self-supported without official Red Hat Support.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/
Comment 8 Joe Orton 2017-03-31 11:02:02 EDT
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Note You need to log in before you can comment on or make changes to this bug.